% function S=ReflectTransf(N,d);

function S=ReflectTransf(N,d);

[m,n]=size(N);
if n>1
 N=transpose(N);
 [m,n]=size(N);
end;
%normalize
N=N*norm(N)^-1;
d=d*norm(N)^-1;
%Householder
S=eye(3,3)-2*N*transpose(N);
S=[S 2*N*d;0 0 0 1];
